### Hierarchy

- ValidateProofService

## Index

### Methods

- getProofIdentity
- getProofStatement
- getProofUrl
- normalizeUrl
- validateProof

## Methods

### getProofIdentity

- getProofIdentity(searchText: string): string

- - Defined in profiles/services/index.ts:14

  #### Parameters

  - ##### searchText: string

  #### Returns string

### getProofStatement

- getProofStatement(searchText: string): string

- - Defined in profiles/services/index.ts:12

  #### Parameters

  - ##### searchText: string

  #### Returns string

### getProofUrl

- getProofUrl(proof: any): string

- - Defined in profiles/services/index.ts:11

  #### Parameters

  - ##### proof: any

  #### Returns string

### normalizeUrl

- normalizeUrl(proof: any): string

- - Defined in profiles/services/index.ts:13

  #### Parameters

  - ##### proof: any

  #### Returns string

### validateProof

- validateProof(proof: any, ownerAddress: string, name?: string): Promise<any>

- - Defined in profiles/services/index.ts:10

  #### Parameters

  - ##### proof: any

  - ##### ownerAddress: string

  - ##### Optional name: string

  #### Returns Promise<any>

Generated using TypeDoc